picard.util

## Interface AtomicIterator<T>

-     public interface AtomicIterator<T>

  Describes

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.common.base.Optional<T>` | `next()` Produces the next element from the iterator, if there is one; otherwise, produces `com.google.common.base.Optional.Absent`

- - ### Method Detail

    - #### next

          com.google.common.base.Optional<T> next()

      Produces the next element from the iterator, if there is one; otherwise, produces `com.google.common.base.Optional.Absent`